Page MenuHomePhabricator

Refactor: Simplify boolean conditional return statements in lib/Target/X86
AbandonedPublic

Authored by LegalizeAdulthood on May 25 2015, 1:46 AM.

Details

Summary

Use clang-tidy to simplify boolean conditional return statements

Diff Detail

Event Timeline

LegalizeAdulthood retitled this revision from to Refactor: Simplify boolean conditional return statements in lib/Target/X86.
LegalizeAdulthood updated this object.
LegalizeAdulthood edited the test plan for this revision. (Show Details)
LegalizeAdulthood added a subscriber: Unknown Object (MLST).
craig.topper added inline comments.May 25 2015, 2:41 AM
lib/Target/X86/MCTargetDesc/X86MCCodeEmitter.cpp
228 ↗(On Diff #26414)

Indent to start after the opening parenthese on the previous line.

lib/Target/X86/X86ISelLowering.cpp
2503

Push the negate through

4116

Push the negate through

lib/Target/X86/X86InstrInfo.cpp
2488–2489

Push negate through and fix indentation on second line.

4267

Fix indentation

lib/Target/X86/MCTargetDesc/X86MCCodeEmitter.cpp
228 ↗(On Diff #26414)

Fixed.

lib/Target/X86/X86ISelLowering.cpp
2503

Fixed.

4116

Fixed.

lib/Target/X86/X86InstrInfo.cpp
2488–2489

Fixed.

4267

Fixed.

Update from comments, clang-format

Update from latest.
I do not have commit access.

bruno added inline comments.Oct 26 2015, 11:28 AM
lib/Target/X86/X86ISelLowering.cpp
3643

The curly braces are useless now, you should also remove them.

LegalizeAdulthood abandoned this revision.Feb 19 2016, 9:21 AM